### Method

# Fwupd Remote set_metadata_uri

since: 1.8.13

#### Declaration [src]

    void
    fwupd_remote_set_metadata_uri (
      FwupdRemote* self,
      const gchar* metadata_uri
    )

#### Description [src]

Sets the remote metadata URI.

NOTE: This has to be set before the username and password.

Available since: 1.8.13

#### Parameters

`metadata_uri`

  Type: `const gchar*`

  Metadata URI.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.